NETREPORT(1)

NOM
netreport - requête d'information des changements d'interface réseau

SYNOPSIS
netreport [-r]

DESCRIPTION
netreport indique aux scripts de gestion du réseau d'envoyer un signal SIGIO au processus qui a appelé netreport quand le statut de toute interface réseau est modifié.

OPTIONS

-r  Retire la requête courante (si elle existe) du processus appelant.

NOTES
Si un programme n'appelle pas netreport avec l'option -r avant de se terminer, et qu'un autre processus est créé avec le même PID avant qu'un changement ne se produise au niveau du statut de l'interface, il est possible que le nouveau processus reçoive un signal SIGIO non désiré.